hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Purtell <apurt...@apache.org>
Subject Re: An 0.92.0 Release Candidate this week?
Date Tue, 01 Nov 2011 19:43:57 GMT
> From: Gary Helmling <ghelmling@gmail.com>
> I'd like to lobby for the security patches (HBASE-2742 and HBASE-3025)
> going in to 0.92.  This may sound like a big change at this stage, but
> in reality the impact on current HBase core is pretty contained

[...]
> At Trend, we've been running a release with HBase security for the
> past 6 months in production, so it's been proven to work for us.  I
> know that there are other groups interested in working with HBase
> security on 0.92, so I would really like to find a way meet that need.
> At the same time, all of the security components have been built to
> be optionally enabled, so I think there is very little risk to core by
> including it.


FYI, There is also one more patch forthcoming which adds integration for secure ZooKeeper
(3.4 RC), if available.
+1 


We've engineered these features to have minimal impact on core. Security is implemented
as Coprocessors. If you don't want it, just don't load them. Zero impact in that case. Also,
it is possible (though strange) to enable security on some tables, but not on others.

Best regards,

   - Andy

Problems worthy of attack prove their worth by hitting back. - Piet Hein (via Tom White)

Mime
View raw message